Loading...
Searching...
No Matches
osmo_auth_vector Struct Reference
GSM/GPRS/3G Authentication

`#include <auth.h>`

## Data Fields

uint8_t | rand [16]
| random challenge
uint8_t | autn [16]
| authentication nonce
uint8_t | ck [OSMO_A5_MAX_KEY_LEN_BYTES]
| ciphering key
uint8_t | ik [OSMO_A5_MAX_KEY_LEN_BYTES]
| integrity key
uint8_t | res [16]
| authentication result
uint8_t | res_len
| length (in bytes) of res: 4..16 bytes
uint8_t | kc [8]
| Kc for GSM encryption (A5)
uint8_t | sres [4]
| authentication result for GSM
uint32_t | auth_types
| bitmask of OSMO_AUTH_TYPE_*

The documentation for this struct was generated from the following file:

- include/osmocom/crypt/auth.h